﻿$ErrorActionPreference = 'Stop'

# *** Automatically filled ***
$softwareName = 'Atom'
$version      = '1.41.0.20191029'
# *** Automatically filled ***

if ($version -eq (Get-UninstallRegistryKey $softwareName).DisplayVersion) {
    Write-Host "Version $version is already installed."
    return
}

# *** Automatically filled ***
$packageArgs = @{
    packageName    = 'atom'
    softwareName   = $softwareName
    fileType       = 'exe'
    url            = 'https://github.com/atom/atom/releases/download/v1.41.0/AtomSetup.exe'
    url64bit       = 'https://github.com/atom/atom/releases/download/v1.41.0/AtomSetup-x64.exe'
    silentArgs     = '--silent'
    checksum       = 'd8c75d7685d259b089352508c6e7f7d6c0cf64871d51ac792fb1b4bb2e050409'
    checksumType   = 'sha256'
    checksum64     = '7b1ca4d7521bfbb581f7a8a599a63c7e8f1eb221ad895059a4d6cfb912134777'
    checksumType64 = 'sha256'
    validExitCodes = @(0)
}
# *** Automatically filled ***

Install-ChocolateyPackage @packageArgs
